summaryrefslogtreecommitdiffstats
path: root/multimedia/mythplugins
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-11 20:01:22 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:22 +0200
commit9e1e1b679615b292f8abf467a953df1164911674 (patch)
treea43bdbbb02f5e2c4cd031bcb3cefb74a6b6ea432 /multimedia/mythplugins
parentede491dd7db3d2997ae811b13df2f0ef05cc994d (diff)
downloadslackbuilds-9e1e1b679615b292f8abf467a953df1164911674.tar.gz
slackbuilds-9e1e1b679615b292f8abf467a953df1164911674.tar.xz
multimedia/mythplugins: Added to 12.0 repository
Diffstat (limited to 'multimedia/mythplugins')
-rw-r--r--multimedia/mythplugins/README9
-rw-r--r--multimedia/mythplugins/mythplugins.SlackBuild86
-rw-r--r--multimedia/mythplugins/mythplugins.info8
-rw-r--r--multimedia/mythplugins/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/multimedia/mythplugins/README b/multimedia/mythplugins/README
new file mode 100644
index 0000000000..79dd118c5d
--- /dev/null
+++ b/multimedia/mythplugins/README
@@ -0,0 +1,9 @@
+All the official MythTV plugins, including MythArchive, MythControls,
+ MythDVD, MythFlix, MythGallery, MythGame, MythMusic, MythNews,
+ MythPhone, MythVideo, MythWeather, MythWeb.
+
+Requires Mythtv
+
+Some of these plugins require extra work to get them functional.
+See the README files in /usr/doc/mythplugins for extra steps,
+configuration, and dependences.
diff --git a/multimedia/mythplugins/mythplugins.SlackBuild b/multimedia/mythplugins/mythplugins.SlackBuild
new file mode 100644
index 0000000000..f3c85486ae
--- /dev/null
+++ b/multimedia/mythplugins/mythplugins.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for mythtvplugins
+# http://www.mythtv.org/
+
+# Copyright 2006-2007 David Somero (dsomero@hotmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mythplugins
+VERSION=0.20.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${TMP}/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "${ARCH}" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "${ARCH}" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr
+
+qmake $PRGNAM.pro
+make
+
+make INSTALL_ROOT="$PKG" install
+cp -a mythweb $PKG/usr/share/mythtv/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( PATHS=$(ls -d */ | xargs -l basename)
+ for i in $PATHS;do test -f $i/README && cp $i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i;done
+ for i in $PATHS;do test -f $i/AUTHORS && cp $i/AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION/AUTHORS.$i;done
+ for i in $PATHS;do test -f $i/COPYING && cp $i/COPYING $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.$i;done
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+# Remove perlocal.pod and .packlist from $PKG
+( cd $PKG
+ find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mythplugins/mythplugins.info b/multimedia/mythplugins/mythplugins.info
new file mode 100644
index 0000000000..8880d1afb1
--- /dev/null
+++ b/multimedia/mythplugins/mythplugins.info
@@ -0,0 +1,8 @@
+PRGNAM="mythplugins"
+VERSION="0.20.2"
+HOMEPAGE="http://www.mythtv.org/"
+DOWNLOAD="http://ftp.osuosl.org/pub/mythtv/mythplugins-0.20.2.tar.bz2"
+MD5SUM="53fcf62c3d2bac31cde610621a08ef33"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/mythplugins/slack-desc b/multimedia/mythplugins/slack-desc
new file mode 100644
index 0000000000..b5f45917f2
--- /dev/null
+++ b/multimedia/mythplugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+mythplugins: Mythtv Plugins ( http://www.mythtv.org/ )
+mythplugins:
+mythplugins: Official MythTV plugins:
+mythplugins:
+mythplugins: MythBrowser, MythDVD, MythFlix,
+mythplugins: MythGallery, MythGame, MythMusic,
+mythplugins: MythNews, MythPhone, MythVideo,
+mythplugins: MythWeather, and MythWeb
+mythplugins:
+mythplugins:
+mythplugins: